Debian Bug report logs - #378987
ITP: seccure -- implements a selection of asymmetric algorithms based on elliptic curve cryptography (ECC)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lennart Poettering <lennart@poettering.net>

Date: Thu, 20 Jul 2006 12:03:15 UTC

Owned by: James Westby <jw+debian@jameswestby.net>

Severity: wishlist

Fixed in version seccure/0.2-1

Done: James Westby <jw+debian@jameswestby.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#378987; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lennart Poettering <lennart@poettering.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lennart Poettering <lennart@poettering.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: seccure -- The seccure toolset implements a selection of asymmetric algorithms based on elliptic curve cryptography (ECC)
Date: Thu, 20 Jul 2006 13:56:24 +0200
Package: wnpp
Severity: wishlist


* Package name    : seccure
  Version         : 0.1
  Upstream Author : B. Poettering
* URL             : http://point-at-infinity.org/seccure/
* License         : GPL
  Programming Lang: C
  Description     : The seccure toolset implements a selection of asymmetric algorithms based on elliptic curve cryptography (ECC)

<quote>
The seccure toolset implements a selection of asymmetric algorithms
based on elliptic curve cryptography (ECC). In particular, it offers
public key encryption / decryption and signature generation /
verification. ECC schemes offer a much better key size to security
ratio than classical systems (RSA, DSA). Keys are short enough to make
direct specification of keys on the command line possible (sometimes
this is more convenient than the management of PGP-like key
rings). seccure builds on this feature and therefore is the tool of
choice whenever lightweight asymmetric cryptography -- independent of
key servers, revocation certificates, the Web of Trust, or even
configuration files -- is required.
</quot>

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- 
Lennart Poettering; lennart [at] poettering [dot] net
ICQ# 11060553; GPG 0x1A015CC4; http://0pointer.net/lennart/



Changed Bug title. Request was from James Westby <jw+debian@jameswestby.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as James Westby <jw+debian@jameswestby.net>. Request was from James Westby <jw+debian@jameswestby.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#378987; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 378987@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: 378987@bugs.debian.org
Subject: seccure packages available
Date: Tue, 25 Jul 2006 18:21:59 +0100
Preliminary packages of seccure are available from
http://jameswestby.net/debian/

Note that these are experimental packages, but I don't expect them to
change significantly before upload. 

I have a couple of things to check and then I will ask for a sponsor.

James


-- 
  James Westby
  jw+debian@jameswestby.net
  http://jameswestby.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#378987; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 378987@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: 378987@bugs.debian.org
Subject: Re: ITP: seccure
Date: Sun, 30 Jul 2006 22:16:19 +0100
Update -

I have tidied up the packaging and I am now looking for a sponsor. 

The updated packages are available from mentors.debian.net. 
http://mentors.debian.net/debian/pool/main/s/seccure/

James.


-- 
  James Westby
  jw+debian@jameswestby.net
  http://jameswestby.net/




Reply sent to James Westby <jw+debian@jameswestby.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lennart Poettering <lennart@poettering.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 378987-close@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: 378987-close@bugs.debian.org
Subject: Bug#378987: fixed in seccure 0.2-1
Date: Fri, 18 Aug 2006 07:00:09 -0700
Source: seccure
Source-Version: 0.2-1

We believe that the bug you reported is fixed in the latest version of
seccure, which is due to be installed in the Debian FTP archive:

seccure_0.2-1.diff.gz
  to pool/main/s/seccure/seccure_0.2-1.diff.gz
seccure_0.2-1.dsc
  to pool/main/s/seccure/seccure_0.2-1.dsc
seccure_0.2-1_i386.deb
  to pool/main/s/seccure/seccure_0.2-1_i386.deb
seccure_0.2.orig.tar.gz
  to pool/main/s/seccure/seccure_0.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378987@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Westby <jw+debian@jameswestby.net> (supplier of updated seccure package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Jul 2006 03:42:20 +0100
Source: seccure
Binary: seccure
Architecture: source i386
Version: 0.2-1
Distribution: unstable
Urgency: low
Maintainer: James Westby <jw+debian@jameswestby.net>
Changed-By: James Westby <jw+debian@jameswestby.net>
Description: 
 seccure    - tools for using algorithms based on elliptic curve cryptography (
Closes: 378987
Changes: 
 seccure (0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #378987)
Files: 
 4a19196a3609efe5e9e417669b3b4d62 590 utils optional seccure_0.2-1.dsc
 506e391bb4cd3ffd8fe88da75ba41c0f 27328 utils optional seccure_0.2.orig.tar.gz
 1bb40bdc1921b4beffb370659e7e187b 3259 utils optional seccure_0.2-1.diff.gz
 75f639a3295e47e2de4f6e5d3d5baf63 24334 utils optional seccure_0.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE4L8InVvVEbfNotwRAq2JAJ9pZvkgHcb3E65k9/iGrmGUibWl9ACdE84L
V3QOiAAusz45h0vQ4UbdCnc=
=DTZW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:39:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:41:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.